#ifndef LIBSARIA_LIBRARY_SOURCE_H
#define LIBSARIA_LIBRARY_SOURCE_H

#include <map>
#include <string>
#include <list>
using namespace std;

#include <libsaria/track.h>
#include "path.h"

class Library
{
	private:
		map<string, LibraryPath> path_map;

	public:
		Library();
		~Library();

		void add_path(string);
		void update_path(string);
		void list_all(list<Track> &);
		void play_id(ino_t);
		void save();
		void load();
};

#endif /* LIBSARIA_LIBRARY_SOURCE_H */
